# Method: accounts.listChildAccounts

- [HTTP request](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts/listChildAccounts#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts/listChildAccounts#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts/listChildAccounts#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts/listChildAccounts#body.request_body)
- [Response body](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts/listChildAccounts#body.response_body)
  - [JSON representation](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts/listChildAccounts#body.ListChildAccountsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts/listChildAccounts#body.aspect)
- [Try it!](https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts/listChildAccounts#try-it)

Lists all the accounts under the specified CSS account ID, and optionally filters by label ID and account name.

### HTTP request

`GET https://css.googleapis.com/v1/{parent=accounts/*}:listChildAccounts`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent account. Must be a CSS group or domain. Format: accounts/{account} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of accounts to return. The service may return fewer than this value. If unspecified, at most 50 accounts will be returned. The maximum value is 100; values above 100 will be coerced to 100. |
| `pageToken` | `string` Optional. A page token, received from a previous `accounts.listChildAccounts` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `accounts.listChildAccounts` must match the call that provided the page token. |
| `labelId` | `string (https://developers.google.com/discovery/v1/type-format format)` If set, only the MC accounts with the given label ID will be returned. |
| `fullName` | `string` If set, only the MC accounts with the given name (case sensitive) will be returned. |

### Request body

The request body must be empty.

### Response body

Response message for the `accounts.listChildAccounts` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "accounts": [ { object (`https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts#Account`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `accounts[]` | ``object (`https://developers.google.com/comparison-shopping-services/api/reference/rest/v1/accounts#Account`)`` The CSS/MC accounts returned for the specified CSS parent account. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).